Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/daemon/heartbeat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_key": "<string>",
"daemon_version": "unknown",
"last_sync_version": 0,
"uptime_s": 0
}
'{
"ok": true
}Record a daemon heartbeat. The dashboard reads these to show active daemons.
curl --request POST \
--url https://api.hyperspell.com/daemon/heartbeat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_key": "<string>",
"daemon_version": "unknown",
"last_sync_version": 0,
"uptime_s": 0
}
'{
"ok": true
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Successful Response
Was this page helpful?